%global pypi_name pyaml

%bcond_without  tests

Name:           python-pyaml
Version:        23.12.0
Release:        %mkrel 3
Group:          Development/Python
Summary:        PyYAML-based module to produce pretty and readable YAML-serialized data

License:        Public Domain
URL:            https://github.com/mk-fg/pretty-yaml
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  python3dist(unidecode)
BuildRequires:  python3dist(pytest)
%endif

%description
YAML is generally nice and easy format to read *if* it was written by
humans.

PyYAML can a do fairly decent job of making stuff readable, and the
best combination of parameters for such output that I've seen so far.

%package -n     python3-%{pypi_name}
Summary:        PyYAML-based module to produce pretty and readable YAML-serialized data
%{?python_provide:%python_provide python3-%{pypi_name}}
Recommends:     python3-unidecode

%description -n python3-%{pypi_name}
YAML is generally nice and easy format to read *if* it was written by
humans.

PyYAML can a do fairly decent job of making stuff readable, and the
best combination of parameters for such output that I've seen so far.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pyproject_check_import
%{?with_tests:%pytest}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license COPYING
%{_bindir}/%{pypi_name}


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 23.12.0-3.mga10
+ Revision: 2240351
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 23.12.0-2.mga10
+ Revision: 2157356
- rebuild for python3.13

* Thu Feb 22 2024 wally <wally> 23.12.0-1.mga10
+ Revision: 2043140
- new version 23.12.0 based on patch by Aurelian R (mga#32880)

* Mon Jan 29 2024 papoteur <papoteur> 18.11.0-7.mga10
+ Revision: 2035913
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 18.11.0-6.mga9
+ Revision: 1823232
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 18.11.0-5.mga9
+ Revision: 1781996
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 18.11.0-4.mga9
+ Revision: 1732940
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 18.11.0-3.mga8
+ Revision: 1535598
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 tv <tv> 18.11.0-2.mga8
+ Revision: 1452486
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 18.11.0-1.mga7
+ Revision: 1353836
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 15.6.3-6.mga7
+ Revision: 1289759
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 15.6.3-5.mga7
+ Revision: 1135559
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 15.6.3-4.mga6
+ Revision: 971159
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 15.6.3-3.mga6
+ Revision: 889387
- rebuild for python 3.5

* Sun Jul 19 2015 joequant <joequant> 15.6.3-2.mga6
+ Revision: 855285
- fix python3 build

* Sun Jul 19 2015 joequant <joequant> 15.6.3-1.mga6
+ Revision: 855186
- imported package python-pyaml

